{% extends 'component/list_component.html.twig' %}

{% block tableHeader %}
    {% if showActionButton == true %}
        <th class="mdc-data-table__header-cell" role="columnheader" scope="col"></th>
    {% endif %}

    {% include 'component/list_component/columnheader_component.html.twig' with {
        'sortable': sortable,
        'label': 'Datum',
        'columnId': 'datum',
        'ariaLabelId': 'date',
        'ariaLabelName': 'Date'
    } only %}

    {% if is_granted('ROLE_RESTRICTED_VIEWER') == false %}
        {% include 'component/list_component/columnheader_component.html.twig' with {
            'sortable': sortable,
            'label': 'Ansprechperson',
            'columnId': 'person',
            'ariaLabelId': 'contact-person',
            'ariaLabelName': 'Contact Person'
        } only %}
    {% endif %}

    {% include 'component/list_component/columnheader_component.html.twig' with {
        'sortable': sortable,
        'label': 'Vorgang',
        'columnId': 'vorgang',
        'ariaLabelId': 'occurrence',
        'ariaLabelName': 'Occurrence'
    } only %}

    {% if is_granted('ROLE_RESTRICTED_VIEWER') == false %}
        {% include 'component/list_component/columnheader_component.html.twig' with {
            'sortable': sortable,
            'label': 'Notiz',
            'columnId': 'notiz',
            'ariaLabelId': 'note',
            'ariaLabelName': 'Note'
        } only %}
    {% endif %}

    {% include 'component/list_component/columnheader_component.html.twig' with {
        'sortable': sortable,
        'label': 'Anhang',
        'columnId': 'anhang',
        'ariaLabelId': 'attachement',
        'ariaLabelName': 'Attachement'
    } only %}

    {% if is_granted('ROLE_RESTRICTED_VIEWER') == false %}
        {% include 'component/list_component/columnheader_component.html.twig' with {
            'sortable': sortable,
            'label': 'Sachbearbeiter',
            'columnId': 'sachbearbeiter',
            'ariaLabelId': 'responsible-person',
            'ariaLabelName': 'Responsible Person'
        } only %}
    {% endif %}
{% endblock %}

{% block tableContent %}
    {% if showActionButton == true %}
        <td class="mdc-data-table__cell">
            {% include 'component/view_or_edit_button_component.html.twig' with {
                'path': path(routeName, parameters|merge({'occurrenceId': listItem.getId()})),
                'item': listItem
            } only %}
        </td>
    {% endif %}
    <td class="mdc-data-table__cell">{{ listItem.getOccurrenceAt().format('d.m.Y') }}</td>
    {% if is_granted('ROLE_RESTRICTED_VIEWER') == false %}
        <td class="mdc-data-table__cell">{{ listItem.getPerson().buildDisplayName() }}</td>
    {% endif %}
    <td class="mdc-data-table__cell">{{ listItem.getOccurrenceType().getName() }}</td>
    {% if is_granted('ROLE_RESTRICTED_VIEWER') == false %}
        <td class="mdc-data-table__cell">{{ listItem.getNote()|nl2br }}</td>
    {% endif %}
    <td class="mdc-data-table__cell">
        {% if listItem.getOccurrenceAttachments()|length == 1 %}
            1 Anhang
        {% elseif listItem.getOccurrenceAttachments()|length > 1 %}
            {{ listItem.getOccurrenceAttachments()|length }} Anhänge
        {% else %}
            -
        {% endif %}
    </td>
    {% if is_granted('ROLE_RESTRICTED_VIEWER') == false %}
        <td class="mdc-data-table__cell">
            {% if listItem.getPerformedWithAccountUser().isDeleted() == true %}
                <span class="text-danger">
                    <i class="material-icons left align-middle">person_off</i> gelöscht
                </span>
            {% else %}
                {{ listItem.getPerformedWithAccountUser().getFullName() }}
            {% endif %}
        </td>
    {% endif %}
{% endblock %}
